package bg.uni_sofia.fmi.android_2011.blue;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class SecondBlueActivity extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.second);
	}
	
	/**
	 * When an Activity is started normally, a new instance of it is created and pushed in the 
	 * current task.
	 * 
	 * Task: A, B (on top)
	 * B starts: A
	 * Task: A, B, A
	 */
	public void startFirstBlue1(View v) {
    	startActivity(new Intent(this, FirstBlueActivity.class));
    }
	
	/**
	 * When an Activity is started with flag to clear the top of the task, if there is an instance 
	 * of it in the current task, it will be brought to the top of the task, finishing all 
	 * in-between Activities, including the one on top.
	 * 
	 * Task: A, A, B (on top)
	 * B starts: A
	 * Task: A, A
	 */
	public void startFirstBlue2(View v) {
    	startActivity(new Intent(this, FirstBlueActivity.class)
    		.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP));
    }
}
